{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"This operation returns a list of your IP Pools and a sample of each Pools' associated IP addresses.\n\nA maximum of 10 IPs will be returned per IP Pool by default. To retrieve additional IP addresses associated with a Pool, use the \"Get IPs Assigned to an IP Pool\" operation. Each user may have a maximum of 100 IP Pools.","properties":{"query":{"type":"object","properties":{"limit":{"type":"integer","description":"Specifies the number of results to be returned by the API. This parameter can be used in combination with the `before_key` or `after_key` parameters to iterate through paginated results."},"after_key":{"type":"integer","description":"Specifies which items to be returned by the API. When the `after_key` is specified, the API will return items beginning from the first item after the item specified. This parameter can be used in combination with `limit` to iterate through paginated results."},"ip":{"type":"string","description":"Specifies an IP address. The `ip` query parameter can be used to filter results by IP address."},"region":{"allOf":[{"$ref":"#/definitions/Region7"},{"type":"string"}],"description":"Allowed values are `all`, `eu`, and `us`. If you provide a specific region, results will include all pools that have at least one IP in the filtered region. If `all`, pools with at least one IP (regardless of region) will be returned. If the `region` filter is not provided, the query returns all pools, including empty ones."},"include_region":{"type":"boolean","default":false,"description":"Boolean indicating whether or not to return the IP Pool's region information in the response."}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false,"definitions":{"Region7":{"type":"string","enum":["all","eu","us"]}}},"name":"GET all IP Pools that have Associated IPs","id":"sendgrid.ip_address_management.listippool","example":{},"maxRequests":1,"summary":false}}